Get a compliance entity
curl --request GET \
--url https://grid.squads.xyz/api/compliance/v1/entities/{id} \
--header 'Authorization: Bearer <token>' \
--header 'x-grid-environment: <x-grid-environment>'import requests
url = "https://grid.squads.xyz/api/compliance/v1/entities/{id}"
headers = {
"x-grid-environment": "<x-grid-environment>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-grid-environment': '<x-grid-environment>', Authorization: 'Bearer <token>'}
};
fetch('https://grid.squads.xyz/api/compliance/v1/entities/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"compliance_submission_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"external_id": "<string>",
"providers": [
{
"created_at": "2023-11-07T05:31:56Z",
"provider": "<string>",
"tos_accepted": true,
"tos_outdated": true,
"tos_required": true,
"updated_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"provider_id": "<string>",
"status_code": "<string>",
"status_message": "<string>",
"submitted_at": "2023-11-07T05:31:56Z",
"tos_accepted_at": "2023-11-07T05:31:56Z",
"tos_version": "<string>",
"tos_version_current": "<string>"
}
]
},
"metadata": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}compliance
Get a compliance entity
Retrieves a compliance entity by ID. Use ?include=providers to include per-provider verification details in the response.
GET
/
api
/
compliance
/
v1
/
entities
/
{id}
Get a compliance entity
Authorizations
Your Grid API key from the Grid Dashboard
Headers
Solana network environment (sandbox, devnet, mainnet)
Path Parameters
Entity ID
Query Parameters
Comma-separated list of related resources to include (e.g. providers)
Was this page helpful?
⌘I